<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPositionLabel" jhiTranslate="mpmApp.position.home.createOrEditLabel">Create or edit a Position</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.position.positionType" for="field_positionType">Position Type</label>
            <select class="form-control" id="field_positionType" name="positionType" [(ngModel)]="position.positionTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="positionTypeOption.idPositionType" *ngFor="let positionTypeOption of positiontypes; trackBy: trackPositionTypeById">{{positionTypeOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.position.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="position.description" />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.position.sequenceNumber" for="field_sequenceNumber">Sequence Number</label>
            <input currencyMask class="form-control" name="sequenceNumber" id="field_sequenceNumber"
                [(ngModel)]="position.sequenceNumber"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.position.internal" for="field_internal">Internal</label>
            <select class="form-control" id="field_internal" name="internal" [(ngModel)]="position.internalId" (ngModelChange)="onChangeInternal($event)" >
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.position.owner" for="field_owner">Owner</label>
            <select class="form-control" id="field_owner" name="owner" [(ngModel)]="position.ownerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="userMediatorOption.idUserMediator" *ngFor="let userMediatorOption of usermediators; trackBy: trackUserMediatorById">{{userMediatorOption.userName}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
